/****************************************
 *	DMX Demultiplexer					*
 *	LTC1660 10-bit DAC					*
 *										*
 *	Ephraim Hahn, BTTEC, 2010			*
 ****************************************/

#ifndef MAIN_H
#define MAIN_H

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

typedef union
{
	struct
	{
		unsigned adc:10;		// 10-bit ADC Value
		unsigned s1:1;			// LED switch 1
		unsigned s2:1;			// LED switch 2
		unsigned s3:1;			// LED switch 3
		unsigned s4:1;			// LED switch 4
		unsigned reserved:2;	// unused
	} bit;
	unsigned char data[2];		// two byte access
} CHDATA;

#endif
